<template>
  <v-layout justify-end>
    <v-icon
      v-for="(item, index) in hearts"
      :key="`heart-${index}`"
      :color="item ? '#C03A2B' : '#333' "
      large
    >{{item ? 'favorite' : 'favorite_border'}}</v-icon>
  </v-layout>
</template>

<script>
export default {
  props: {
    lifes: Number,
    default: () => 3,
  },
  computed: {
    hearts() {
      // Could be used (Array.apply) but eslint recomend the use of spread operator
      return Array(...Array(3)).map(
        (it, index) => index + 1 <= this.lifes,
      );
    },
  },
};
</script>
